#ifndef ALLOCTABLE_HPP
#define ALLOCTABLE_HPP

///////////////////////////////////////////////////////////////////////////////
//
// $Header: $
//
// NAME: AllocTable
//
// BASE CLASSES: None.
//
// PURPOSE: This class describes a simple (Address <-> Content) Memory Pair.
//
// AUTHOR: Nicolas MOREAU
//
//  COPYRIGHT NOTICE:
//
// The KOYOTE Project
// Copyright (C) 2003-2004 Nicolas MOREAU & Brice DONVAL
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  REVISION HISTORY:
// $Log: $
//
///////////////////////////////////////////////////////////////////////////////

//Includes

#include "Core.hpp"

//Constants

//Types and classes

class AllocTable
{
public:
  AllocTable(word);
  ~AllocTable(void);
  void Reset(void);
  word m_wAddress;
  word m_wContent;
  AllocTable* m_pNext;
};

#endif // ALLOCTABLE_HPP
